<template>
  <v-container>
    <v-layout class="ma-3" row>
      <v-flex xs10 sm8 offset-xs2>
        <v-card>
            <v-card-title>Form Register Petugas</v-card-title>
            <v-divider></v-divider>
            <v-card-text>
              <form-petugas v-on:submit="submitInsertForm" v-on:cancel="cancelInsertForm"></form-petugas>
            </v-card-text>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import { mapActions } from 'vuex'
import FormPetugas from './FormPetugas'

export default {
  name: 'RegisterPetugas',
  components: {
    FormPetugas
  },
  methods: {
    ...mapActions('logger', [
      'logErrors'
    ]),
    ...mapActions('logger/snackbar', [
      'success',
      'error'
    ]),
    ...mapActions('petugas', [
      'getData',
      'postData'
    ]),
    submitInsertForm (data) {
      this.postData(data)
        .then(() => {
          this.success('Success Insert ' + data.nama + ' to database.')
        })
        .catch((error) => {
          this.error('Oops Something Wrong when inserting data.')
          this.logErrors(error)
        })
    },
    cancelInsertForm () {

    }
  }
}
</script>

<style>

</style>
